;PIC16F877A    4                 
; ..     
;   ()     12864
;  Hign  Lov         256 
;     1503  (   1024   )                   
           list        p=16f877a  
           #include    <p16f877a.inc>  
           ERRORLEVEL  -302, -305
           __CONFIG    _CP_OFF & _WDT_OFF & _BODEN_OFF & _PWRTE_ON & _XT_OSC & _WRT_OFF & _LVP_OFF & _CPD_OFF



           CBLOCK      0x020
           temp                             ;   
           reg                              ;    
           ENDC
         
       
        
;-----------------------------------------------------------------------------             
;     
;-----------------------------------------------------------------------------
    ;RD0 - 
    ;RD1 -  
    ;RD2 - 
    ;RD3 - 
    ;RD4 - 
    ;RD5 - 
    ;RD6 - 
    ;RD7 - 
    ;RB0 - 2  ; 2   
    ;RB1 - 1  ; 1 
    ;RB2 - E    / 
    ;RB3 - A0   /
       

           org         0x000
           goto        Start

krist_1    bsf         PORTB,1           ;   1  ()
           bcf         PORTB,0           ;  2 ()
           return
krist_2    bcf         PORTB,1           ;   1  ()
           bsf         PORTB,0           ;    2 ()
           return

ctr_1      movlw       b'10111000'       ;   1 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_2      movlw       b'10111001'       ;   2 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_3      movlw       b'10111010'       ;   3 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_4      movlw       b'10111011'       ;   4 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_5      movlw       b'10111100'       ;   5 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_6      movlw       b'10111101'       ;   6 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_7      movlw       b'10111110'       ;   7 .     
           movwf       PORTD
           call        strobe           ;  
           return

ctr_8      movlw       b'10111111'       ;   8 .     
           movwf       PORTD
           call        strobe           ;  
           return
          
zap_dan                                  ;  
           bsf         PORTB,3           ;    
           call        strobe           ;  
           bcf         PORTB,3           ;    
           return

strobe                                  ;  
           bsf         PORTB,2 
           bcf         PORTB,2           ;     1  0, 
           nop                           ;    
           return

vert_0     movlw       b'01000000'       ;   0 .     
           movwf       PORTD
           call        strobe           ;  
           return


ctroka_0   movlw       b'11000000'       ;   0      
           movwf       PORTD
           call        strobe           ;  
           return
Start
;     38  
           clrf        PCLATH            ;,  Bank 0  
           CLRF        STATUS            ; Bank 0
           CLRF        INTCON            ;   
           bsf         STATUS,RP0        ; BANK1
           CLRF        PIE1              ;  
           bcf         STATUS,RP0        ; Bank 0
           CLRF        PORTA             ;   .
           CLRF        PORTB             ;
           CLRF        PORTC             ;
           CLRF        PORTD
           CLRF        PORTE
           clrf        T1CON             ;  1  
           bsf         STATUS,RP0        ; Bank 1
           MOVLW       b'00000000'       ;
           MOVWF       TRISA             ; 
           MOVLW       b'00000000'       ; 
           MOVWF       TRISB             ; RB0-RB7 - 
           MOVLW       b'00000000'       ;
           MOVWF       TRISC             ;  - ,
           MOVLW       b'00000000'       ; 
           MOVWF       TRISD             ;  -   
           MOVLW       b'00000000'       ; 
           MOVWF       TRISE             ;  - 
           bcf         STATUS,RP0        ; Bank 0
;----------------------------------------------------------------------------- 
;   12864
;-----------------------------------------------------------------------------  
           clrf        PORTB
           bsf         PORTB,1           ;    
           bsf         PORTB,0 
           movlw       3E                ;  "Display OFF"
           movwf       PORTD
           call        strobe           ;  . 
           movlw       3F                ;  "Display ON"
           movwf       PORTD
           call        strobe           ;  . 
           movlw       .4                ;  13 (   3 )
           movwf       temp 
m_1        decfsz      temp
           goto        m_1
               
;----------------------------------------------------------------------------- 
;   1 
;-----------------------------------------------------------------------------
           call        krist_1
           call        ctroka_0          ;   0  1 
;----------------------------------------------------------------------------- 
;   1. 1 
;-----------------------------------------------------------------------------  
           call        ctr_1             ;  
           call        vert_0            ;  0 
           movlw       .64               ; 
           movwf       temp              ;       
WR_1       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_1       ;       TEXT_1   w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_1)
           call        TEXT_1            ;    TEXT_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_1              ;    =0,     WR_1
               
;----------------------------------------------------------------------------- 
;   2. 1 
;-----------------------------------------------------------------------------  
           call        ctr_2             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_2       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_2       ;       TEXT_2   w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_2)
           call        TEXT_2            ;    TEXT_2. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_2              ;    =0,     WR_2
;----------------------------------------------------------------------------- 
;   3. 1 
;-----------------------------------------------------------------------------  
           call        ctr_3             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_3       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_3       ;       TEXT_3  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_3)
           call        TEXT_3            ;    TEXT_3. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_3              ;    =0,     WR_3
;----------------------------------------------------------------------------- 
;   4. 1 
;----------------------------------------------------------------------------- 
           call        ctr_4             ;  
           call        vert_0            ;  0   
           movlw       .64               ; 
           movwf       temp              ;       
WR_4       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_4       ;       TEXT_4  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_4)
           call        TEXT_4            ;    TEXT_4. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_4              ;    =0,     WR_4

;----------------------------------------------------------------------------- 
;   5. 1 
;-----------------------------------------------------------------------------  
           call        ctr_5             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_5       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_5       ;       TEXT_5  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_5)
           call        TEXT_5            ;    TEXT_5. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_5              ;    =0,     WR_5

;----------------------------------------------------------------------------- 
;   6. 1 
;----------------------------------------------------------------------------- 
           call        ctr_6             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_6       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_6       ;       TEXT_6  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_6)
           call        TEXT_6            ;    TEXT_6. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_6              ;    =0,     WR_6
;----------------------------------------------------------------------------- 
;   7. 1 
;-----------------------------------------------------------------------------
           call        ctr_7             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_7       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_7       ;       TEXT_7  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_7)
           call        TEXT_7            ;    TEXT_7. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_7              ;    =0,     WR_7

;----------------------------------------------------------------------------- 
;   8. 1 
;-----------------------------------------------------------------------------
           call        ctr_8             ;  
           call        vert_0            ;  0    
           movlw       .64               ; 
           movwf       temp              ;       
WR_8       movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_8       ;       TEXT_8  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_8)
           call        TEXT_8            ;    TEXT_8. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_8              ;    =0,     WR_8 

;----------------------------------------------------------------------------- 
;   2 
;-----------------------------------------------------------------------------
           call        krist_2
           call        ctroka_0    
  
;----------------------------------------------------------------------------- 
;   1. 2 
;-----------------------------------------------------------------------------  
           call        ctr_1             ;  
           call        vert_0            ;  0    
           movlw       .64               ; 
           movwf       temp              ;       
WR_1_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_1_1     ;       TEXT_1_1   w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_1)
           call        TEXT_1_1          ;    TEXT_1_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_1_1            ;    =0,     WR_1_1
               
;----------------------------------------------------------------------------- 
;   2. 2 
;-----------------------------------------------------------------------------  
           call        ctr_2             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_2_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_2_1     ;       TEXT_2_1   w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_2)
           call        TEXT_2_1          ;    TEXT_2_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_2_1            ;    =0,     WR_2_1
;----------------------------------------------------------------------------- 
;   3. 2 
;-----------------------------------------------------------------------------  
           call        ctr_3             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_3_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_3_1     ;       TEXT_3_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_3)
           call        TEXT_3_1          ;    TEXT_3_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_3_1            ;    =0,     WR_3_1
;----------------------------------------------------------------------------- 
;   4. 2 
;----------------------------------------------------------------------------- 
           call        ctr_4             ;  
           call        vert_0            ;  0   
           movlw       .64               ; 
           movwf       temp              ;       
WR_4_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_4_1     ;       TEXT_4_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_4)
           call        TEXT_4_1          ;    TEXT_4_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_4_1            ;    =0,     WR_4_1

;----------------------------------------------------------------------------- 
;   5. 2 
;-----------------------------------------------------------------------------  
           call        ctr_5             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_5_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_5_1     ;       TEXT_5_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_5_1)
           call        TEXT_5_1          ;    TEXT_5_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_5_1            ;    =0,     WR_5_1

;----------------------------------------------------------------------------- 
;   6. 2 
;----------------------------------------------------------------------------- 
           call        ctr_6             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_6_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_6_1     ;       TEXT_6_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_6_1)
           call        TEXT_6_1          ;    TEXT_6_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_6_1            ;    =0,     WR_6_1
;----------------------------------------------------------------------------- 
;   7. 2 
;-----------------------------------------------------------------------------
           call        ctr_7             ;  
           call        vert_0            ;  0  
           movlw       .64               ; 
           movwf       temp              ;       
WR_7_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_7_1     ;       TEXT_7_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_7_1)
           call        TEXT_7_1          ;    TEXT_7_1. 
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_7_1            ;    =0,     WR_7_1

;----------------------------------------------------------------------------- 
;   8. 2 
;-----------------------------------------------------------------------------
           call        ctr_8             ;  
           call        vert_0            ;  0    
           movlw       .64               ; 
           movwf       temp              ;       
WR_8_1     movf        temp,W            ;    temp  W.
           sublw       .64               ; .64 - temp = ... (   W).
           movwf       reg               ; reg       
           movlw       high TEXT_8_1     ;       TEXT_8_1  w
           movwf       PCLATH            ;  W  PCLATH (    .  TEXT_8_1)
           call        TEXT_8_1          ;    TEXT_8_1.  
           movwf       PORTD             ;    . .   PORTD
           movlw       high zap_dan      ;       zap_dan   w
           movwf       PCLATH            ;  W  PCLATH 
           call        zap_dan           ;    
           decfsz      temp,F            ;       
           goto        WR_8_1            ;    =0,     WR_8_1  
  


           goto        Start             ; 


  
               
;----------------------------------------------------------------------------- 
;  1  1  
;----------------------------------------------------------------------------- 

TEXT_1     movlw       high ctpa_1       ;       ctpa_1   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_1        ; c w    PC  ctpa_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_1     dt          0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
            
;----------------------------------------------------------------------------- 
;  2  1 
;----------------------------------------------------------------------------- 

TEXT_2     movlw       high ctpa_2       ;       ctpa_2   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_2        ; c w    PC  ctpa_2
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_2     dt          0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01
           dt          0x01,0x1F,0x01,0x01,0x00,0x00,0x0E,0x15,0x15,0x15,0x06,0x00,0x00,0x0E,0x11,0x11
           dt          0x11,0x08,0x00,0x00,0x01,0x01,0x1F,0x01,0x01,0x00,0x00,0x00,0x00,0x1F,0x01,0x01
           dt          0x01,0x1F,0x00,0x00,0x1F,0x05,0x05,0x05,0x02,0x00,0x00,0x0E,0x11,0x11,0x11,0x0E


;----------------------------------------------------------------------------- 
;  3  1 
;----------------------------------------------------------------------------- 

TEXT_3     movlw       high ctpa_3       ;       ctpa_3   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_3        ; c w    PC  ctpa_3
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_3     dt          0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x15
           dt          0x13,0x11,0x3F,0x00,0x00,0x08,0x11,0x0F,0x01,0x1F,0x00,0x00,0x02,0x15,0x0D,0x05
           dt          0x1F,0x00,0x00,0x00,0x00,0x1F,0x08,0x04,0x02,0x1F,0x00,0x00,0x1F,0x04,0x04,0x04
           dt          0x1F,0x00,0x00,0x38,0x15,0x13,0x11,0x3F,0x00,0x00,0x1F,0x08,0x04,0x02,0x1F,0x00


;----------------------------------------------------------------------------- 
;  4  1 
;----------------------------------------------------------------------------- 

TEXT_4     movlw       high ctpa_4       ;       ctpa_4   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_4        ; c w    PC  ctpa_4
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_4     dt          0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x02,0x04,0x02,0x7F,0x00
           dt          0x00,0x22,0x41,0x49,0x49,0x3E,0x00,0x00,0x20,0x41,0x3F,0x01,0x7F,0x00,0x00,0x01
           dt          0x01,0x7F,0x01,0x01,0x00,0x00,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00



;----------------------------------------------------------------------------- 
;  5  1 
;----------------------------------------------------------------------------- 

TEXT_5     movlw       high ctpa_5       ;       ctpa_5   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_5        ; c w    PC  ctpa_5
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_5     dt          0xFF,0x00,0x00,0x00,0x70,0x28,0x70,0x00,0x40,0xE0,0x40,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0x00


;----------------------------------------------------------------------------- 
;  6  1 
;----------------------------------------------------------------------------- 

TEXT_6     movlw       high ctpa_6       ;       ctpa_6   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_6        ; c w    PC  ctpa_6
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_6     dt          0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00


;----------------------------------------------------------------------------- 
;  7  1 
;----------------------------------------------------------------------------- 

TEXT_7     movlw       high ctpa_7       ;       ctpa_7   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_7        ; c w    PC  ctpa_7
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_7     dt          0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x80,0x80
           dt          0x80,0x80,0x80,0x80,0x00,0x80,0xC0,0x80,0x00,0x00,0x80,0xC0,0x80,0xC0,0x80,0xC0
           dt          0x40,0x80,0x80,0x80,0xC0,0x80,0xC0,0x80,0xC0,0x80,0x80,0x80,0x00,0x80,0x80,0x40
           dt          0x3F,0xC0,0x80,0x00,0x80,0x80,0xC0,0x80,0x00,0x80,0xF0,0x0F,0x18,0xE0,0x80,0x80


;----------------------------------------------------------------------------- 
;  8  1 
;----------------------------------------------------------------------------- 

TEXT_8     movlw       high ctpa_8       ;       ctpa_8   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_8        ; c w    PC  ctpa_8
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_8     dt          0xFF,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x87,0x84,0x84,0x85,0x85,0x85,0x84
           dt          0x85,0x84,0x84,0x85,0x85,0x85,0x84,0x85,0x85,0x85,0x85,0x84,0x85,0x84,0x85,0x84
           dt          0x84,0x84,0x85,0x84,0x84,0x85,0x84,0x85,0x84,0x85,0x84,0x85,0x85,0x85,0x85,0x84
           dt          0x84,0x84,0x84,0x85,0x84,0x85,0x84,0x85,0x85,0x85,0x84,0x84,0x84,0x85,0x84,0x84

;----------------------------------------------------------------------------- 
;  1  2 
;----------------------------------------------------------------------------- 

TEXT_1_1   movlw       high ctpa_1_1     ;       ctpa_1_1   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_1_1      ; c w    PC  ctpa_1_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_1_1   dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
           dt          0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xFF
            
;----------------------------------------------------------------------------- 
;  2  2 
;----------------------------------------------------------------------------- 

TEXT_2_1   movlw       high ctpa_2_1     ;       ctpa_2_1   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_2_1      ; c w    PC  ctpa_2_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_2_1   dt          0x00,0x00,0x1F,0x01,0x01,0x01,0x03,0x00,0x00,0x1F,0x05,0x05,0x05,0x02,0x00,0x00
           dt          0x08,0x15,0x15,0x15,0x1E,0x00,0x00,0x1F,0x02,0x04,0x02,0x1F,0x00,0x00,0x1F,0x02
           dt          0x04,0x02,0x1F,0x00,0x00,0x08,0x15,0x15,0x15,0x1E,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF


;----------------------------------------------------------------------------- 
;  3  2 
;----------------------------------------------------------------------------- 

TEXT_3_1   movlw       high ctpa_3_1     ;       ctpa_3_1  w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_3_1      ; c w    PC  ctpa_3_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_3_1   dt          0x00,0x1F,0x04,0x0A,0x11,0x00,0x00,0x08,0x15,0x15,0x15,0x1E,0x00,0x00,0x01,0x01
           dt          0x1F,0x01,0x01,0x00,0x00,0x0E,0x11,0x11,0x11,0x0E,0x00,0x00,0x1F,0x05,0x05,0x05
           dt          0x02,0x00,0x00,0x08,0x15,0x15,0x15,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF

;----------------------------------------------------------------------------- 
;  4  2 
;----------------------------------------------------------------------------- 

TEXT_4_1   movlw       high ctpa_4_1     ;       ctpa_4_1   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_4_1      ; c w    PC  ctpa_4_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_4_1   dt          0x42,0x7F,0x40,0x00,0x00,0x42,0x61,0x51,0x49,0x46,0x00,0x00,0x36,0x49,0x49,0x49
           dt          0x36,0x00,0x00,0x3C,0x4A,0x49,0x49,0x30,0x00,0x00,0x18,0x14,0x12,0x7F,0x10,0x00
           dt          0x00,0x00,0x7E,0x11,0x11,0x11,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF



;----------------------------------------------------------------------------- 
;  5  2  (    ,   )
;----------------------------------------------------------------------------- 

TEXT_5_1   movlw       high ctpa_5_1     ;       ctpa_5_1  w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_5_1      ; c w    PC  ctpa_5_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_5_1   dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF

;----------------------------------------------------------------------------- 
;  6  2 
;----------------------------------------------------------------------------- 

TEXT_6_1   movlw       high ctpa_6_1     ;       ctpa_6_1   w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_6_1      ; c w    PC  ctpa_6_1 
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_6_1   dt          0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF


;----------------------------------------------------------------------------- 
;  7  2 
;----------------------------------------------------------------------------- 

TEXT_7_1   movlw       high ctpa_7_1     ;       ctpa_7_1    w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_7_1      ; c w    PC  ctpa_7_1 
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_7_1   dt          0x00,0x00,0x80,0x00,0x80,0x80,0x7F,0xC0,0x80,0x80,0x80,0xC0,0x40,0x40,0xC0,0x80
           dt          0x80,0xC0,0x80,0xC0,0x80,0x40,0xC0,0x80,0xC0,0x80,0x80,0x80,0x80,0x00,0x00,0x00
           dt          0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
           dt          0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF


;----------------------------------------------------------------------------- 
;  8  2 
;----------------------------------------------------------------------------- 

TEXT_8_1   movlw       high ctpa_8_1     ;       ctpa_8_1  w
           movwf       PCLATH 
                                         ;          ( 256 )     
           movf        reg,w             ;   w ( )
           addlw       low ctpa_8_1      ; c w    PC  ctpa_8_1
           btfsc       STATUS,C          ;    ()
           incf        PCLATH,f          ; , +1  PCLATH
           movf        reg,w             ;  , . .
           addwf       PCL,F             ;  PCL    W.
ctpa_8_1   dt          0x85,0x85,0x85,0x85,0x84,0x84,0x84,0x84,0x85,0x84,0x84,0x85,0x84,0x84,0x84,0x85
           dt          0x84,0x84,0x85,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x85,0x84,0x84,0x84,0x84,0x84
           dt          0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x8E,0x84,0x80,0x80,0x80,0x84
           dt          0x9F,0x84,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xFF


           END 


